/*
 * Program:	Operating-system dependent routines -- BSDI BSD/386 version
 *
 * Author:	Mark Crispin
 *		Networks and Distributed Computing
 *		Computing & Communications
 *		University of Washington
 *		Administration Building, AG-44
 *		Seattle, WA  98195
 *		Internet: MRC@CAC.Washington.EDU
 *
 * Date:	5 March 1993
 * Last Edited:	24 October 2000
 * 
 * The IMAP toolkit provided in this Distribution is
 * Copyright 2000 University of Washington.
 * The full text of our legal notices is contained in the file called
 * CPYRIGHT, included with this Distribution.
 */

#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <sys/types.h>

/* sys/dir.h is deprecated under FreeBSD and shouldn't be used */
#ifdef __FreeBSD__
#include <dirent.h>
#define	direct		dirent
#define	DIRSIZ(dp)	_GENERIC_DIRSIZ(dp)
#else /* !FreeBSD */
#include <sys/dir.h>
#endif /* FreeBSD/!FreeBSD */
#include <fcntl.h>
#include <syslog.h>
#include <sys/file.h>


#include "env_unix.h"
#include "fs.h"
#include "ftl.h"
#include "nl.h"
#include "tcp.h"
